/*
  Author = PHCC
  Date = 03/01/2020

  Just some variables to be acessed globally
*/

rawset(_G, "cw_gameMode", {
  disabled = "0",
  enabled = "1",
  extreme = "killall"
})

// Made local for lua optmization
local gameMode = cw_gameMode

rawset(_G, "cw_game", {
  mode = gameMode.disabled,
  starposttime = -1,
  playerDidReborn = false,
  specialStage = false,
  mapLoaded = nil,
  canExit = false,
  enemyTable = {},
  enemyIndex = 1,
  enemiesOnLoad = 0,
  enemiesKilled = 0,
  newEnemiesKilled = 0 // Used to handle levels with an increasing amount of enemies (e.g. Aerial Garden Zone)
})

// Each power will be connected to a player, that is, no two players
// can use the same power
rawset(_G, "cw_gems", {
  [EMERALD1] = {player = nil, n = 0},
  [EMERALD2] = {player = nil, n = 1},
  [EMERALD3] = {player = nil, n = 2},
  [EMERALD4] = {player = nil, n = 3},
  [EMERALD5] = {player = nil, n = 4},
  [EMERALD6] = {player = nil, n = 5},
  [EMERALD7] = {player = nil, n = 6}
})

// Global costs
rawset(_G, "cw_gemCosts", {
  [EMERALD1] = {drain = 1},
  [EMERALD2] = {drain = 15},
  [EMERALD3] = {drain = 10},
  [EMERALD4] = {drain = 3, passiveDrain = 1},
  [EMERALD5] = {drain = 15},
  [EMERALD6] = {drain = 2},
  [EMERALD7] = {drain = 0}
})